0Wordpressのロゴ一定の: WordPressのダッシュボードでは非推奨PHPエラー

以前の今日は我々のテストサイトを更新しました, メインのサイトへの更新を展開するための準備インチこれにはいくつかのプラグインを更新し、Jetpackのと「BeforeTheDeadline」プラグインを置き換える関与しました。アップデートが完了したら、私はダッシュボードの上にいくつかのエラーメッセージを取得してい, "着信リンク" Dashboardウィジェットの下に, 私は、W3合計キャッシュ·キャッシュを空にしようとしましたが、さらに多くのエラー.

最も一般的なエラーは以下の通りだったか、以下に類似 (これは、ダッシュボードに表示されるエラーでした)

Deprec-ated: 参照することにより、新規の戻り値を代入するには... / wp-includes/class-simplepie.phpでは廃止されている

私はすべてのプラグインを非アクティブにすることでエラーをクリアすることができました, と再有効化 1 犯人に私をリードする時に - への更新 "WP 自動アフィリエイトリンク」我々はいくつかの製品のためのアマゾンへのリンクを挿入するために使用するプラグイン。もう少し研究し、古いプラグインと新しいバージョン間のコードの比較はかなり迅速に解決するために私を導いた - プラグインがオンする上部付近にいくつかのコードが含まれています PHP エラーが発生.

error_reporting(E_ALL & ~E_NOTICE);

この行をリムーバブルING (またはそれをCOM-MENT-ING) 問題を完全に解決.

毛皮THERノートなど - これらは警告する - イングスからの PHP ワードプレスが廃止された機能を使用するレガシーコードの多くを含んでいるので、誰もが最新のPHP5でワードプレスを実行するために正常です。非致命的なエラーは、通常は抑制されているので、彼らが正常に表示されません理由があります。これは、このレガシーコード更新高い時間wordpressのです, それは別の時間のための議論です。一方で - あなたは、プラグインを更新した後、これらのエラーを取得するために起動する場合は、プラグインのコードをチェックしてはerror_reportingを含むすべての行を編集する必要があります() 関数のTiONコール.

この問題を解決するプロセスでは、私も非常に有益な何かを発見しました。私は自動アフィリエイトリンクプラグインの以前のバージョンを取得したいとき、私はこれらがすべてwordpress.orgダウンロードページにアーカイブされていることを発見しました。最新バージョン (令状-INGの時) です 2.3.2 HTTPからダウンロードすることができる://downloads.wordpress.org/plugin/wp-auto-affiliate-links.2.3.2.zip。私の以前のバージョンでした 2.2.2 - 私は、ダウンロードリンクがHTTPになる推測://古いバージョンが保持された場合downloads.wordpress.org/plugin/wp-auto-affiliate-links.2.2.2.zip。ちょっとプレスト - そのアドレスを使用しては完全に働きました, 古いバージョンを維持するためのワードプレスへの賛辞.

どう思いますか? 私たちは以下のコメントをドロップ! あなたが購読したい場合は、右上のメニューで購読リンクをご利用ください. また、下記の社会的なリンクを使用してお友達とこれを共有することができます. 乾杯.

返信を残します